GyotoUniformSpectrometer.h File Reference

Uniformly spaced spectrometers. More...

`#include <GyotoSpectrometer.h>`

Go to the source code of this file.

## Classes

class | Gyoto::Spectrometer::Uniform
| Uniformly spaced spectrometers. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Spectrometer
| Access to spectrometers.

## Detailed Description

Uniformly spaced spectrometers.

Spectral channels are contiguous and uniformly spaced in either wavelength, frequency or log10 of either. Gyoto::Spectrometer::Uniform is registered four times in the factory: as kind="wave", "wavelog", "freq" and "freqlog". Example XML entity:

<Spectrometer kind="wave" unit="µm" nsamples=10>
2.0 2.4
</Spectrometer>

The content of the entity yields the band pass expressed in "unit" or in log10(unit).